WriterPlsParserInternal::ColumnTableInfo Struct Reference

Column informations in a table. More...

## Public Member Functions

| ColumnTableInfo ()

## Public Attributes

int | m_height
int | m_numData
int | m_colX [2]
int | m_textX [3]
int | m_flags

## Friends

std::ostream & | operator<< (std::ostream &o, ColumnTableInfo const &c)

## Detailed Description

Column informations in a table.

## Constructor & Destructor Documentation

## ColumnTableInfo()

WriterPlsParserInternal::ColumnTableInfo::ColumnTableInfo | ( |  | ) |

inline

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ColumnTableInfo const & | c )

friend

## Member Data Documentation

## m_colX

int WriterPlsParserInternal::ColumnTableInfo::m_colX[2]

Referenced by ColumnTableInfo(), operator<<, and WriterPlsParser::readTable().

## m_flags

int WriterPlsParserInternal::ColumnTableInfo::m_flags

Referenced by ColumnTableInfo(), operator<<, and WriterPlsParser::readTable().

## m_height

int WriterPlsParserInternal::ColumnTableInfo::m_height

Referenced by ColumnTableInfo(), operator<<, and WriterPlsParser::readTable().

## m_numData

int WriterPlsParserInternal::ColumnTableInfo::m_numData

Referenced by ColumnTableInfo(), operator<<, and WriterPlsParser::readTable().

## m_textX

int WriterPlsParserInternal::ColumnTableInfo::m_textX[3]

Referenced by ColumnTableInfo(), operator<<, and WriterPlsParser::readTable().

The documentation for this struct was generated from the following file:

- WriterPlsParser.cxx